## ekiga 4.0.0

=== win32/Makefile ===
#!/usr/bin/make -f

# RELEASE: 0=from git/svn, 1=release (tar.gz) for ekiga, ptlib and opal
RELEASE   := 0
# DEBUG: 0=release, 1=debug version
DEBUG     := 0
# MINGW32: 1=use old mingw32, 0=use new mingw-w64
MINGW32   := 0
# BIT32 (used only for mingw-w64): 1=generate 32bit, 0=generate 64bit
BIT32     := 1

# flags used by make for each of the libraries and ekiga
# using $(MAKEFLAGS) here might lead to interferences between variables in this
#   Makefile (e.g. DEBUG) and lib own flags
MAKEOPTS  := -j2
MAKE_LIB_OPTS:=

BUILDROOT := $(CURDIR)
TARGETDIR := $(BUILDROOT)/dist
SRCDIR    := $(BUILDROOT)/src
INCLUDEDIR:= $(BUILDROOT)/include
LIBDIR    := $(BUILDROOT)/lib
BINDIR    := $(BUILDROOT)/bin

export DEB_BUILD_GNU_TYPE:=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

WGET := wget -nv -T 60 -N

ifeq ($(MINGW32), 1)
HOST_TOOL_PREFIX:=i586-mingw32msvc
export DEB_HOST_GNU_TYPE:="i586-pc-mingw32"
else
ifeq ($(BIT32), 1)
HOST_TOOL_PREFIX:=i686-w64-mingw32
export DEB_HOST_GNU_TYPE:="i686-pc-mingw32"
else
HOST_TOOL_PREFIX:=x86_64-w64-mingw32
export DEB_HOST_GNU_TYPE:="x86_64-pc-mingw32"
endif
endif
REALCC:=$(HOST_TOOL_PREFIX)-gcc
REALCXX:=$(HOST_TOOL_PREFIX)-g++
export CC=$(REALCC) -mms-bitfields -g -O2
export CXX=$(REALCXX) -mms-bitfields -g -O2
export LD:=$(HOST_TOOL_PREFIX)-ld
export NM:=$(HOST_TOOL_PREFIX)-nm
export AR:=$(HOST_TOOL_PREFIX)-ar
export RANLIB:=$(HOST_TOOL_PREFIX)-ranlib
export DLLTOOL:=$(HOST_TOOL_PREFIX)-dlltool
export DLLWRAP:=$(HOST_TOOL_PREFIX)-dllwrap
export OBJDUMP:=$(HOST_TOOL_PREFIX)-objdump
export RC:=$(HOST_TOOL_PREFIX)-windres
export STRIP:=$(HOST_TOOL_PREFIX)-strip
export AS:=$(HOST_TOOL_PREFIX)-as
export LDD:=$(BUILDROOT)/$(HOST_TOOL_PREFIX)-ldd.sh

export CFLAGS:=-I$(INCLUDEDIR) -march=pentium-mmx
export CXXFLAGS:=-I$(INCLUDEDIR) -march=pentium-mmx
export LDFLAGS:=-L$(LIBDIR)
export PKG_CONFIG_PATH:=$(LIBDIR)/pkgconfig
export PKG_CONFIG_LIBDIR:=$(LIBDIR)
export PATH:=$(BINDIR):$(PATH)


ifeq ($(RELEASE),1)
	EKIGA_VER := 4.0.0
	EKIGA_URL := http://ftp.gnome.org/pub/gnome/sources/ekiga/4.0
	EKIGA_ARCHIVE := ekiga-$(EKIGA_VER).tar.xz
	EKIGA_DIR := $(BUILDROOT)/ekiga-$(EKIGA_VER)
else
	GIT_EKIGA_REV = reset --hard HEAD
	#GIT_EKIGA_REV := checkout -b gnome-2-26 origin/gnome-2-26
	EKIGA_URL := git://git.gnome.org/ekiga
	EKIGA_ARCHIVE := ekiga
	EKIGA_DIR = $(BUILDROOT)/ekiga
	EKIGA_VER := $(strip $(shell grep AC_INIT $(SRCDIR)/$(EKIGA_ARCHIVE)/configure.ac | awk 'BEGIN { FS = "," } ; { print $$2 }' | tr -d '[]'))
	EKIGA_REV := $(strip $(shell (cd $(SRCDIR)/$(EKIGA_ARCHIVE); git describe | awk 'BEGIN { FS = "-" } ; { print $$2 "_" $$3 }' )))
ifneq ($(EKIGA_REV),)
	EKIGA_VER := $(EKIGA_VER)-git-$(EKIGA_REV)
endif
endif
EKIGA_PREFIX := $(TARGETDIR)/Ekiga
ifeq ($(DEBUG),1)
EKIGA_INSTALLER := ekiga-setup-$(EKIGA_VER)-debug.exe
else
EKIGA_INSTALLER := ekiga-setup-$(EKIGA_VER).exe
endif
#EKIGA_WIN32_DIFF_DIR := $(CURDIR)/diff
EKIGA_INSTALLER_DIR := $(EKIGA_DIR)/win32/nsisinstaller

ifeq ($(RELEASE),1)
	OPAL_VER := 3.10.9
	OPAL_URL := http://ftp.gnome.org/pub/gnome/sources/opal/3.10
	OPAL_ARCHIVE := opal-$(OPAL_VER).tar.xz
	OPAL_DIR := $(BUILDROOT)/opal-$(OPAL_VER)
else
	OPAL_VER := 3.10-beta10
	# OPAL_REV: HEAD or revision number
	OPAL_REV := HEAD
	OPAL_URL := https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/opal/branches/v3_10
	OPAL_ARCHIVE := opal
	OPAL_DIR := $(BUILDROOT)/opal
endif
OPAL_LIB := libopal.$(OPAL_VER).dll

ifeq ($(RELEASE),1)
	PTLIB_VER := 2.10.9
	PTLIB_URL := http://ftp.gnome.org/pub/gnome/sources/ptlib/2.10
	PTLIB_ARCHIVE := ptlib-$(PTLIB_VER).tar.xz
	PTLIB_DIR := $(BUILDROOT)/ptlib-$(PTLIB_VER)
else
	PTLIB_VER := 2.10-beta10
	# PTLIB_REV: HEAD or revision number
	PTLIB_REV := HEAD
	PTLIB_URL := https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/ptlib/branches/v2_10
	PTLIB_ARCHIVE := ptlib
	PTLIB_DIR := $(BUILDROOT)/ptlib
endif
PTLIB_LIB := libpt.$(PTLIB_VER).dll

##############   ekiga/ptlib/opal library and headers dependencies
OPENLDAP_VER := 2.4.29
OPENLDAP_DIR := $(BUILDROOT)/openldap-$(OPENLDAP_VER)
OPENLDAP_ARCHIVE := openldap-$(OPENLDAP_VER).tgz
OPENLDAP_URL := http://www.openldap.org/software/download/OpenLDAP/openldap-release

LIBSASL2_VER := 2.1.22
LIBSASL2_DIR := $(BUILDROOT)/cyrus-sasl-$(LIBSASL2_VER)
LIBSASL2_ARCHIVE := cyrus-sasl-$(LIBSASL2_VER).zip
LIBSASL2_URL := http://developer.pidgin.im/static/win32

OGG_VER := 1.3.0
OGG_DIR := $(BUILDROOT)/libogg-$(OGG_VER)
OGG_ARCHIVE := libogg-$(OGG_VER).tar.xz
OGG_URL := http://downloads.xiph.org/releases/ogg

SPEEX_VER := 1.2rc1
SPEEX_DIR := $(BUILDROOT)/speex-$(SPEEX_VER)
SPEEX_ARCHIVE := speex-$(SPEEX_VER).tar.gz
SPEEX_URL := http://downloads.xiph.org/releases/speex

XML2_VER := 2.7.8
XML2_DIR := libxml2-$(XML2_VER)
XML2_URL := ftp://xmlsoft.org/libxml2
XML2_ARCHIVE := libxml2-$(XML2_VER).tar.gz

EXPAT_VER = 2.1.0
EXPAT_DIR = $(BUILDROOT)/expat-$(EXPAT_VER)
EXPAT_ARCHIVE := expat-$(EXPAT_VER).tar.gz
EXPAT_URL := https://downloads.sourceforge.net/project/expat/expat/$(EXPAT_VER)

# choose commit 203e34 (2007-09-30), since since then a few modifications
# have been done and the compilation needs to be updated
REGEX_REV := 203e34
REGEX_DIR := $(BUILDROOT)/regex
REGEX_ARCHIVE := regex

BOOST_VER := 1.48.0
BOOST_URL := http://downloads.sourceforge.net/project/boost/boost/$(BOOST_VER)
BOOST_ARCHIVE := boost_$(shell echo $(BOOST_VER)|tr . _).tar.gz
BOOST_DIR := $(BUILDROOT)/boost_$(shell echo $(BOOST_VER)|tr . _)

GETTEXT_VER := 0.17-1
GETTEXT_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies
GETTEXT_ARCHIVE := gettext-runtime-dev-$(GETTEXT_VER).zip

LIBAV_VER := 0.8
LIBAV_URL := http://www.libav.org/releases
LIBAV_DIR := $(BUILDROOT)/libav-$(LIBAV_VER)
LIBAV_ARCHIVE := libav-$(LIBAV_VER).tar.xz

X264_VER := a3f4407
X264_URL := git://git.videolan.org/x264.git
X264_DIR := $(BUILDROOT)/x264
X264_ARCHIVE := x264

# note that every celt release might break API
CELT_VER := 0.7.1
CELT_URL := http://downloads.xiph.org/releases/celt
CELT_DIR := $(BUILDROOT)/celt-$(CELT_VER)
CELT_ARCHIVE := celt-$(CELT_VER).tar.gz

THEORA_VER := 1.1.1
THEORA_URL := http://downloads.xiph.org/releases/theora
THEORA_DIR := $(BUILDROOT)/libtheora-$(THEORA_VER)
THEORA_ARCHIVE := libtheora-$(THEORA_VER).tar.xz

NSIS_VER := 2.46
NSIS_URL := http://downloads.sourceforge.net/nsis
NSISPROCESSES_URL := http://nsis.sourceforge.net/mediawiki/images/f/f3/
NSISSYTEM_DIR := /usr/share/nsis/Contrib/Modern\ UI
NSISPLUGIN_DIR := $(BUILDROOT)/nsisplugins

# gtk headers
GTK_VER := 2.22.0-2
GTK_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/gtk+/2.22
GTK_ARCHIVE := gtk+-dev_$(GTK_VER)_win32.zip

# gtk library
# this is an installer, not a zip of files to be manually installed
# see http://gtk-win.sourceforge.net for more information
GTK_BIN_VER := 2.22
GTK_INSTALLER_URL := http://downloads.sourceforge.net/gtk-win
GTK_BIN_EXE := gtk2-runtime-2.22.0-2010-10-21-ash.exe

##############   gtk headers dependencies
# during building, ekiga uses gtk.h, which needs headers of various libraries
GLIB_VER := 2.28.1-1
GLIB_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/glib/2.28
GLIB_ARCHIVE := glib-dev_$(GLIB_VER)_win32.zip

ATK_VER := 1.32.0-1
ATK_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/atk/1.32
ATK_ARCHIVE := atk-dev_$(ATK_VER)_win32.zip

CAIRO_VER := 1.10.2-1
CAIRO_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies
CAIRO_ARCHIVE := cairo-dev_$(CAIRO_VER)_win32.zip

PANGO_VER := 1.28.3-1
PANGO_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/pango/1.28
PANGO_ARCHIVE := pango-dev_$(PANGO_VER)_win32.zip

FREETYPE_VER := 2.4.4-1
FREETYPE_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/
FREETYPE_ARCHIVE := freetype-dev_$(FREETYPE_VER)_win32.zip

FONTCONFIG_VER := 2.8.0-2
FONTCONFIG_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/
FONTCONFIG_ARCHIVE := fontconfig-dev_$(FONTCONFIG_VER)_win32.zip

GDKPIXBUF_VER := 2.22.1-1
GDKPIXBUF_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/gdk-pixbuf/2.22
GDKPIXBUF_ARCHIVE := gdk-pixbuf-dev_$(GDKPIXBUF_VER)_win32.zip

PNG_VER := 1.4.3-1
PNG_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/
PNG_ARCHIVE := libpng-dev_$(PNG_VER)_win32.zip

LN:=ln
RM:=rm
CP:=cp
MV:=mv
SVN:=svn
GIT:=git

# write country codes you want to build help for (in addition to C),
#   or leave blank to build help for all available languages;
#   e.g. for French and C put: DOC_LINGUAS := fr
DOC_LINGUAS :=

confflags := --prefix=$(BUILDROOT) --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

confptlib := $(confflags) --enable-vfw \
	--disable-qos --disable-alsa --disable-esd --disable-oss --disable-sunaudio --disable-shmaudio \
	--disable-v4l --disable-v4l2 --disable-bsdvideo --disable-avc --disable-dc
ifeq ($(MINGW32), 1)
confptlib := $(confptlib) --with-directx-includedir=$(EKIGA_DIR)/win32/directx
endif

# disable ilbc and silk non-free codecs
confopal := $(confflags) --disable-t38 --disable-fax --disable-iLBC --disable-silk

confekiga:= $(confflags) \
	--prefix=$(EKIGA_PREFIX) --bindir=$(EKIGA_PREFIX) --datadir=$(EKIGA_PREFIX) \
	--sysconfdir=$(EKIGA_PREFIX) --libdir=$(EKIGA_PREFIX) \
	--with-ldap-dir=$(OPENLDAP_DIR) --with-libsasl2-dir=$(LIBSASL2_DIR) --with-boost=$(BUILDROOT) # --enable-static-libs
ifeq ($(MINGW32), 1)
confekiga := $(confekiga) --with-directx-dir=$(EKIGA_DIR)/win32/directx
endif

# h264 decoding is provided by libav, while encoding by x264 lib
conflibav := --cross-prefix=$(HOST_TOOL_PREFIX)- --enable-shared --disable-static \
	--enable-cross-compile --arch=`echo $(HOST_TOOL_PREFIX)|cut -d- -f1` --target-os=mingw32 \
	--prefix=$(BUILDROOT) --libdir=$(LIBDIR) \
	--disable-avserver --disable-ffmpeg --disable-avplay --disable-avconv --disable-avprobe --disable-network \
	--disable-swscale --disable-avfilter --disable-avformat --disable-avdevice \
	--disable-everything --enable-decoder=mpeg4 --enable-decoder=h263 --enable-encoder=mpeg4 --enable-encoder=h263 --enable-encoder=h263p --enable-decoder=h264 --enable-hwaccel=h264_dxva2

confx264 := $(confflags) --enable-static --disable-cli --disable-avs

conftheora := $(confflags) --disable-vorbistest --disable-sdltest --disable-examples --disable-spec

# only signals is needed
confboost := --user-config=user-config.jam --layout=system variant=release threading=multi link=shared runtime-link=shared target-os=windows threadapi=win32 --with-signals -q

all: binaries $(TARGETDIR)/$(EKIGA_INSTALLER)
	@echo "Built on $(shell date)"

update-sources::
	@echo "Updating on $(shell date)"

update: update-sources

binaries:
	@echo Checking prerequisites...
	hash $(REALCC) $(REALCXX) $(LD) $(NM) $(AR) $(RANLIB) $(DLLTOOL) $(DLLWRAP) $(OBJDUMP) $(RC) $(AS)||(echo You need to install mingw-w64 or mingw32; exit 1)
	hash tar unzip zip xz wget aclocal autoheader libtoolize automake autoconf pkg-config gnome-autogen.sh bison gdk-pixbuf-csource || (echo we need more binaries ; exit 1)
	[ -f /usr/share/gnome-doc-utils/gnome-doc-utils.make ] || (echo gnome-doc-tools not installed; exit 1)
	[ -f /usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/pkgconfig/gconf-2.0.pc -o /usr/lib/pkgconfig/gconf-2.0.pc ] || (echo libgconf2-dev not installed; exit 1)
	[ -f /usr/share/icons/gnome/index.theme ] || (echo gnome-icon-theme not installed; exit 1)
	hash makensis || (echo nsis not installed; exit 1)
	hash xmlto || (echo xmlto not installed; exit 1)
	hash yasm || (echo yasm not installed, mandatory for x264; exit 1)
#	[ $(BUILDROOT) = $(CURDIR) ] || (echo You are supposed to run this as Makefile in $(BUILDROOT); exit 1)
ifeq ($(MINGW32), 1)
	[ `grep define.*MINGW32_MINOR_VERSION /usr/i586-mingw32msvc/include/_mingw.h|tr -s " "|cut -d" " -f3` -ge 15 ] || (echo 'You need mingw32-runtime at version >= 3.15'; exit 1)
endif
	mkdir -p $(INCLUDEDIR) $(LIBDIR)/pkgconfig $(SRCDIR) $(BINDIR)
	$(RM) -f $(BINDIR)/cygpath
	$(LN) -s /bin/true $(BINDIR)/cygpath
	touch $@

### REGEX
update-sources::
	@echo "--- Getting libregex..."
	mkdir -p $(SRCDIR)/$(REGEX_ARCHIVE)

## ekiga 3.2.7

=== debian/changelog ===
ekiga (3.2.7-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add arm-linux-gnueabihf (armhf) support (Closes: #640256)

 -- Hector Oron <zumbi@debian.org>  Mon, 17 Oct 2011 12:00:09 +0100

ekiga (3.2.7-4) unstable; urgency=low

  * Fix compilation with libnotify0.7 (Closes: #630266)

 -- Kilian Krause <kilian@debian.org>  Sun, 10 Jul 2011 10:20:53 +0200

ekiga (3.2.7-3) unstable; urgency=low

  [ Eugen Dedu ]
  * Depend on updated libpt-dbg (Closes: #633132)

  [ Kilian Krause ]
  * Clean out quilt and bump to dpkg-source v3
  * Bump debhelper compat to 8
  * Correct Vcs-Browser URL
  * Bump Standards-Version to 3.9.2.0 (no changes required)

 -- Kilian Krause <kilian@debian.org>  Sat, 09 Jul 2011 21:48:43 +0200

ekiga (3.2.7-2) unstable; urgency=high

  * Setting urgency=high due to fixing RC bug

  [ Eugen Dedu ]
  * Depend on updated libopal-dbg (Closes: #586141)

 -- Kilian Krause <kilian@debian.org>  Tue, 22 Jun 2010 19:07:08 +0200

ekiga (3.2.7-1) unstable; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - correctly set default devices (Closes: #572422)
    - fix number of users found in ekiga.net LDAP (Closes: #574491)
    - fix FTFBS with binutils-gold (Closes: #554327)
  * Build-Dep on libxext-dev to have SHM support

 -- Kilian Krause <kilian@debian.org>  Tue, 01 Jun 2010 17:42:24 +0200

ekiga (3.2.6-1) unstable; urgency=low

  * New upstream release
    - fix building with GNU/kFreeBSD (Closes: #545954)
    - fix "ekiga won't connect to user defined sip port" (Closes: #530051)

 -- Kilian Krause <kilian@debian.org>  Tue, 06 Oct 2009 21:39:45 +0200

ekiga (3.2.5-1) unstable; urgency=high

  * New upstream release (Closes: #536021, #530706, #531684, #531686,
    #530415, #528952, #531458, #533260, #536267)
  * Urgency high due to fixing RC bug.
  * ekiga-dbg now depends on libpt-dbg and libopal-dbg, since it is pretty
    useless without them.
  * README.Debian: Add information about non-free codecs (especially H264).
  * debian/rules: Remove invocation of dh_scrollkeeper.

 -- Kilian Krause <kilian@debian.org>  Wed, 15 Jul 2009 18:26:02 +0200

ekiga (3.2.1~git20090515.9d0263-1) unstable; urgency=low

  [ Eugen Dedu ]
  * New upstream release (Closes: #520832, #520773, #528952, #528960)
    * Segfault after pwlib's update to 1.10.10-3 (Closes: #525781, #525864)
    * Shows the configuration assistant *every time* (Closes: #446689).
    * Fails with gconf schema error message (Closes: #511460).
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Cleanup rules further.
  * Remove the now unneeded libgnome and libgnomeui dependencies.
  * Recommends gvfs.
  * Remove 00_news patch, integrated upstream (no patch anymore), and quilt
    dependency.
  * Build-depend on rarian-compat instead of scrollkeeper.
  * Remove fdupes hack, all the translations are updated now.

  [ Emilio Pozuelo Monfort ]
  * Fix section of ekiga-dbg.

  [ Kilian Krause ]
  * New dependency on libpt-dev (>= 2.6.1) does pull libpt-plugins-v4l2
    primarily over libpt-plugins-v4l (Closes: #529335)
  * Bump debhelper build-dep to >= 7 for dh_prep

 -- Kilian Krause <kilian@debian.org>  Thu, 21 May 2009 23:08:34 +0200

ekiga (3.0.1-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New version.  (Closes: #500089).
  * Add our own changelog file in /usr/share/doc.
  * Remove gnomemeeting transitional package.
  * Discover new interfaces.  (Closes: #488199).
  * Compile with dbus support.  (Closes: #467212).
  * Numeric keypad inserts digits at correct position.  (Closes: #440159).
  * Use libnotify upon call.  (Closes: #412604).
  * Symlink identical GNOME help files, to reduce size.  (Closes: #505536).
  * Explicitely build-depends on a few dev packages, even if they were
    pulled out anyway by the other dependencies.

  [ Loic Minier ]
  * Use clean:: instead of clean: in rules.
  * Don't disable Uploaders: generation for control.in -> control generation
    in rules.
  * Fix some tabs which were size 4 anyway.
  * Generate a PO template during build by calling intltool-update -p in
    install; thanks Ubuntu and Martin Pitt; closes: #505535.
  * Also let the -dbg depend on ${misc:Depends}.
  * Cleanup rules; in particular, use dpkg-parsechangelog and honor
    distclean/clean failures, remove old clean rules, commented out stuff,
    gtk-only stuff.
  * Pass -s to dh_* in binary-arch.
  * Use debian/*.links and debian/*.manpages instead of symlink manually or
    passing files to dh_installman.
  * Use ftp.gnome.org in copyright.
  * Switch to quilt and fix target deps in the process; build-dep on quilt
    instead of dpatch; rename news.dpatch to 00_news.patch and refresh;
    replace 00list with series.
  * Install autotools-dev config.guess and .sub after patching.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sat, 27 Sep 2008 10:00:00 +0200

ekiga (2.0.12-1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the ekiga-gtkonly package, which is broken beyond repair in the 2.x
    series.  (Closes: #456401)

 -- Philipp Kern <pkern@debian.org>  Sat, 09 Aug 2008 12:14:23 -0300

ekiga (2.0.12-1) unstable; urgency=low

  [ Kilian Krause ]
  * Fix clean target to first clean then unpatch.
  * Remove explicit reference to PWLib plugins (V4L2, AVC, DC)
    They're pulled through main libpt-x.y.z anyway (Closes: #401302)

  [ Loic Minier ]
  * Use proper path to icon file in menu file; thanks Yuri Kozlov;
    closes: #454496.

  [ Emilio Pozuelo Monfort ]
  * Wrap dependencies.
  * Build-depend on automake1.9, remove 1.8 and 1.7. Acknowledges NMU.
  * New upstream bugfix release. Closes: #476703.
    - debian/patches/gmconf.dpatch:
      + Removed, applied upstream.
    - Uses V4L2 by default. Closes: #468085.

  [ Josselin Mouette ]
  * Standards version is 3.8.0; no changes.
  * Make ekiga-dbg priority extra.
  * Fix spelling: GTK -> GTK+.
  * ekiga.{xpm,menu,install}: use a 32x32 XPM icon for the Debian menu.
    LOL.



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: ekiga
Section: gnome
Priority: optional
Maintainer: Kilian Krause <kilian@debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
               libsasl2-dev,
               gettext,
               libldap2-dev,
               libpt-dev (>= 2.6.7),
               libopal-dev (>= 3.6.8~),
               libgconf2-dev,
               libxv-dev,
               autotools-dev,
               gnome-pkg-tools,
               rarian-compat,
               intltool,
               libxml-parser-perl,
               evolution-data-server-dev,
               gnome-doc-utils,
               libavahi-client-dev,
               libavahi-glib-dev,
               libsigc++-2.0-dev,
               libgtk2.0-dev (>= 2.12),
               libdbus-glib-1-dev,
               gnome-common,
               libnotify-dev,
               libebook1.2-dev,
               libxext-dev,
               automake,
               autoconf
Standards-Version: 3.9.2.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
Homepage: http://www.ekiga.org/
DM-Upload-Allowed: yes

Package: ekiga
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server
Recommends: gvfs, yelp
Suggests: siproxd,
          gnugk,
          mediaproxy,
          ser,
          rtpproxy,
          asterisk,
          yate
Description: H.323 and SIP compatible VoIP client
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.
 .
 It supports all modern videoconferencing features, such as contact roster,
 presence status, high-quality audio and video codecs, various video
 resolutions, registering to an LDAP directory, gatekeeper support,
 making multi-user conference calls using an external MCU, using modern
 Quicknet telephony cards, and making PC-To-Phone calls.

Package: ekiga-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ekiga (= ${binary:Version}),
         ${misc:Depends},
         libpt-dbg,
         libopal-dbg
Suggests: libc6-dbg
Description: H.323 and SIP compatible VoIP client - debug symbols
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.
 .
 This package contains the debugging symbols for Ekiga.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# how to call quilt
QUILT := QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null

CFLAGS   += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
CXXFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
# --as-needed is relatively risky and should be added with -z defs if possible
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

confflags += \
	--prefix=/usr \
	--sysconfdir=/etc \
	--disable-schemas-install \
	--disable-scrollkeeper

patch: patch-stamp
patch-stamp:
	dh_testdir
	# backup the original files to restore them in the clean target
	[ ! -r config.sub ]   || cp config.sub   config.sub.orig
	[ ! -r config.guess ] || cp config.guess config.guess.orig
	[ ! -r gnome-doc-utils.make ] || cp gnome-doc-utils.make gnome-doc-utils.make.orig
	# install latest version from autotools-dev
	[ ! -r config.sub ]   || cp -f /usr/share/misc/config.sub   .
	[ ! -r config.guess ] || cp -f /usr/share/misc/config.guess   .
	[ ! -r gnome-doc-utils.make ] || cp -f /usr/share/gnome-doc-utils/gnome-doc-utils.make .
	touch $@

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	rm -f config.cache
	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    ./configure $(confflags)
	$(MAKE) $(MAKEFLAGS)
	touch $@

clean::
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	# restore files from backup (before unpatching)
	[ ! -e config.sub.orig ]   || mv -f config.sub.orig   config.sub
	[ ! -e config.guess.orig ] || mv -f config.guess.orig config.guess
	[ ! -e gnome-doc-utils.make.orig ] || mv -f gnome-doc-utils.make.orig gnome-doc-utils.make
	-$(RM) -f build-stamp patch-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -s -Nekiga-dbg
	dh_install -s
	dh_installmenu -s
	dh_installman -s -Nekiga-dbg
	dh_installchangelogs -s -Nekiga-dbg NEWS
	dh_gconf -s
	dh_link -s
	dh_strip -s --dbg-package=ekiga-dbg
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/ekiga/([\d\.]+)[02468]/ \
        ekiga-(.*)\.tar\.gz \
        debian uupdate

## ekiga 3.3.1

=== debian/changelog ===
ekiga (3.3.1-2) experimental; urgency=low

  * Fix broken languages. Requires dh-autoreconf for now.
  * Convert debian/rules to debhelper dh style
  * Remove ekiga-dbg symlink to /usr/share/doc

 -- Kilian Krause <kilian@debian.org>  Tue, 19 Jul 2011 12:05:18 +0200

ekiga (3.3.1-1) experimental; urgency=low

  * New upstream release.
   - Required libpt-dev 2.10 and libopal-dev 3.10
  * Fix debian/watch to catch new version
  * Remove libnotify0.7.patch - included upstream
  * Add libboost-dev and libboost-signals-dev to Build-Depends
  * debian/rules: Don't install *.la files for new internal shared libs
  * Fix Vcs URIs to point to correct desktop/experimental/ekiga tree

 -- Kilian Krause <kilian@debian.org>  Sun, 17 Jul 2011 00:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libsasl2-dev,
                gettext,
                libldap2-dev,
-               libpt-dev (>= 2.6.7),
-               libopal-dev (>= 3.6.8~),
+               libpt-dev (>= 2.10.1~),
+               libopal-dev (>= 3.10.1~),
                libgconf2-dev,
                libxv-dev,
                autotools-dev,
@@ -32,11 +32,14 @@
                libnotify-dev,
                libebook1.2-dev,
                libxext-dev,
+               libboost-dev,
+               libboost-signals-dev,
+               dh-autoreconf,
                automake,
                autoconf
 Standards-Version: 3.9.2.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/ekiga/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/ekiga/
 Homepage: http://www.ekiga.org/
 DM-Upload-Allowed: yes

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autotools_dev --with autoreconf --parallel

override_dh_autoreconf:
	ln -sf /usr/share/gnome-doc-utils/gnome-doc-utils.make
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
	--sysconfdir=/etc \
	--disable-schemas-install \
	--disable-scrollkeeper

clean::
	dh_testdir
	dh_auto_clean
	dh_autoreconf_clean
	dh_autotools-dev_restoreconfig
	rm -f gnome-doc-utils.make
	dh_clean

override_dh_auto_install: 
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga
	rm -f $(CURDIR)/debian/ekiga/usr/lib/ekiga/*/*.la
	rm -f $(CURDIR)/debian/ekiga/usr/lib/ekiga/*/plugins/*.la

override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_strip:
	dh_strip --dbg-package=ekiga-dbg

## ekiga 3.3.2

=== debian/changelog ===
ekiga (3.3.2-0ubuntu7) quantal; urgency=low

  * debian/patches/support_eds_3.5.3.patch:
    - backport an upstream patch to build with latest evolution-data-server
  * debian/control:
    - build-dep on correct e-d-s version

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Sep 2012 15:20:23 +0200

ekiga (3.3.2-0ubuntu6) quantal; urgency=low

  * debian/control: change libboost-signals1.46-dev to
    libboost-signals-dev in Build-Depends, for boost1.49 and any future
    boost transitions.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 23 Jun 2012 01:11:22 +0100

ekiga (3.3.2-0ubuntu5) quantal; urgency=low

  * debian/control: drop libgdu-dev from Build-Depends: it's not needed at all.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Jun 2012 10:41:11 -0400

ekiga (3.3.2-0ubuntu4) quantal; urgency=low

  * Rebuild against latest evolution-data-server.
  * debian/patches/fix-permissive.patch: fix calling scope of add_object() and
    remove_object().
  * debian/rules: don't install *.la files.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 May 2012 15:48:34 -0400

ekiga (3.3.2-0ubuntu3) precise; urgency=low

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2012 10:56:14 -0500

ekiga (3.3.2-0ubuntu2) precise; urgency=low

  * Recognize linuxeabihf as a supported OS.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Dec 2011 19:27:40 +0100

ekiga (3.3.2-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for bz2 tarballs, and unstable versions.
  * New upstream release. (LP: #836915)
  * Drop libnotify0.7.patch, included upstream.
  * Disable ubuntu_lpi.patch, needs porting, and this is not a supported main
    package any more.
  * debian/control.in: Update build dependencies according to configure.ac:
    - Drop libsigc++-2.0-dev
    - Add libboost-signals-dev, libglib2.0-dev, libgdu-dev, libexpat1-dev
    - Bump libgtk2.0-dev, libopal-dev, libpt-dev

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 11 Sep 2011 12:51:59 +0200

ekiga (3.2.7-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #819973).  Remaining changes:
    - debian/control: Add Build-Depends liblaunchpad-integration-dev and 
      autoconf.
    - debian/patches/ubuntu_lpi.patch: Add launchpad integration.
    - debian/rules: Run autoreconf during build.
  * Droppped changes:
    - debian/rules: Drop quilt depends, apllied upstream.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sun, 07 Aug 2011 19:11:05 +0700

ekiga (3.2.7-2ubuntu2) natty; urgency=low

  * No change rebuild against current libebook

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 13 Dec 2010 10:43:45 +0530

ekiga (3.2.7-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #597869), remaining changes:
    - debian/control: Enable launchpad-integration and quilt.
    - debian/patches/ubuntu_lpi.patch: Launchpad integration.
    - debian/rules: Run autoreconf during build.
  * Dropped changes:
    - Use the correct debian/watch file: fixed in debian
    - Clarify Vcs: Unnecessary.

 -- Lorenzo De Liso <blackzldl@gmail.com>  Wed, 23 Jun 2010 23:25:21 +0200

ekiga (3.2.6-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    + debian/control: Clarify Vcs-*; enable launchpad-integration and
      quilt.
    + debian/patches/ubuntu_lpi.patch: Launchpad integration.
    + debian/rules: Run autoreconf during build.
  * Use the correct debian/watch file.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Feb 2010 18:52:56 -0500

ekiga (3.2.5-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - debian/patches/ubuntu_lpi.patch: Launchpad integration.
    - Run autoreconf during build.
  * Ubuntu changes dropped:
    - Replace libpt2.6.1-dev with libpt-dev in the Build-Depends.
  * Enable quilt usage again.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 22 Jul 2009 16:04:41 +1000

ekiga (3.2.0-0ubuntu3) karmic; urgency=low

  * debian/patches/ubuntu_desktop-file-onlyshowin.patch: Dropped, was only
    needed for Ubuntu Mobile in Hardy, and has caused other issues.
    (LP: #376077)
  * Replace libpt2.6.1-dev with libpt-dev in the Build-Depends. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 03 Jun 2009 19:49:00 +1000

ekiga (3.2.0-0ubuntu2) jaunty-proposed; urgency=low

  * debian/patches/dial_with_no_valid_accounts_crash.patch:
    - Fix crash when dialing with no valid accounts (LP: #352041)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 May 2009 10:14:36 +1000

ekiga (3.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #341367)
    - Better NAT support in case of Cone NAT
    - Uniformise detection of libnotify; fix compilation with mingw
    - Fix "URL completion combobox shows identical completions"
    - Fix "Assistant loosing values when going backward"
    - Fix GmConf settings when compiled with another package name
    - Fix unregistration of accounts
    - Fix build with --enable-kde
    - Fixed possible crash when retrieving presence information
    - New translations: crh, or
    - Updated translations: as, bg, bn_IN, da, de, el, eu, gl, gu, hi, hu,
      ja, kn, ko, ku, lt, ml, mr, or, pt, ro, ru, ta, te, tr
    - New help translation: en_GB
    - Updated help translation: fr
    - Better NAT support in case of Cone NAT
    - There is now only one H.263 plugin implementing both H.263 and H.263+
    - Allow several ALSA devices to have the same name
    - Added support for the G.722 audio codec: G.722 is a 16 kHz wideband
      audio codec advertised as HD Voice by the famous Polycom. It is a
      great boost in quality and interoperability
    - Added support for the CELT ultral-low delay audio codec: CELT delivers
      high quality audio at 32 kHz or 48 kHz, allowing to transmit music in
      high quality, with low delay and low bitrate
    - Added support for SIP dialog-info notifications: they allow displaying


=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: ekiga
 Section: gnome
 Priority: optional
-Maintainer: Kilian Krause <kilian@debian.org>
-Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kilian Krause <kilian@debian.org>
+Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8),
                libsasl2-dev,
                gettext,
                libldap2-dev,
-               libpt-dev (>= 2.10.1~),
-               libopal-dev (>= 3.10.1~),
+               libpt-dev (>= 2.10.2~),
+               libopal-dev (>= 3.10.2~),
                libgconf2-dev,
                libxv-dev,
                autotools-dev,
@@ -21,25 +21,25 @@
                rarian-compat,
                intltool,
                libxml-parser-perl,
-               evolution-data-server-dev,
+               evolution-data-server-dev (>= 3.5.3),
                gnome-doc-utils,
                libavahi-client-dev,
                libavahi-glib-dev,
-               libsigc++-2.0-dev,
-               libgtk2.0-dev (>= 2.12),
+               libboost-signals-dev (>= 1.34),
+               libgtk2.0-dev (>= 2.20.0),
+               libglib2.0-dev (>= 2.24.0),
+               libexpat1-dev,
                libdbus-glib-1-dev,
                gnome-common,
                libnotify-dev,
                libebook1.2-dev,
                libxext-dev,
-               libboost-dev,
-               libboost-signals-dev,
-               dh-autoreconf,
                automake,
-               autoconf
+               autoconf,
+               liblaunchpad-integration-dev
 Standards-Version: 3.9.2.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/ekiga/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/ekiga/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
 Homepage: http://www.ekiga.org/
 DM-Upload-Allowed: yes

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# how to call quilt
QUILT := QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null

CFLAGS   += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
CXXFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
# --as-needed is relatively risky and should be added with -z defs if possible
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

confflags += \
	--prefix=/usr \
	--sysconfdir=/etc \
	--disable-schemas-install \
	--disable-scrollkeeper

patch: patch-stamp
patch-stamp:
	dh_testdir
	# backup the original files to restore them in the clean target
	[ ! -r config.sub ]   || cp config.sub   config.sub.orig
	[ ! -r config.guess ] || cp config.guess config.guess.orig
	[ ! -r gnome-doc-utils.make ] || cp gnome-doc-utils.make gnome-doc-utils.make.orig
	# install latest version from autotools-dev
	[ ! -r config.sub ]   || cp -f /usr/share/misc/config.sub   .
	[ ! -r config.guess ] || cp -f /usr/share/misc/config.guess   .
	[ ! -r gnome-doc-utils.make ] || cp -f /usr/share/gnome-doc-utils/gnome-doc-utils.make .
	touch $@

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	rm -f config.cache
	autoreconf
	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    ./configure $(confflags)
	$(MAKE) $(MAKEFLAGS)
	touch $@

clean::
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	# restore files from backup (before unpatching)
	[ ! -e config.sub.orig ]   || mv -f config.sub.orig   config.sub
	[ ! -e config.guess.orig ] || mv -f config.guess.orig config.guess
	[ ! -e gnome-doc-utils.make.orig ] || mv -f gnome-doc-utils.make.orig gnome-doc-utils.make
	-$(RM) -f build-stamp patch-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga
	rm -f $(CURDIR)/debian/ekiga/usr/lib/ekiga/*/*.la
	rm -f $(CURDIR)/debian/ekiga/usr/lib/ekiga/*/plugins/*.la

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -s -Nekiga-dbg
	dh_install -s
	dh_installmenu -s
	dh_installman -s -Nekiga-dbg
	dh_installchangelogs -s -Nekiga-dbg NEWS
	dh_gconf -s
	dh_link -s
	dh_strip -s --dbg-package=ekiga-dbg
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch

## ekiga 4.0.0

=== debian/changelog ===
ekiga (4.0.0-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream stable release (Closes: #663539, CVE-2012-5621)
  * Add README.security containing a warning about stun service

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sun, 09 Dec 2012 22:43:35 +0100

ekiga (3.9.90-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release (Closes: #679255, #520830, #670405, #551844,
    #617528, #684999, #538738, #530254, #378846, #582157, #545693,
    #689413, #545693)
  * Enable support for experimental Jabber/XMPP protocol
  * Remove libx264-dev, libavcodec-dev from Build-Deps as they are for
    OPAL library
  * Remove fix-linux-gnueabihf-build.patch, unneeded anymore
  * Remove unnecessary libsigc++ Build-Dep

  [ Kilian Krause ]
  * Bump debhelper compat to 9 to use multiarch for dh_auto_configure. Adjust
    build-depends on debhelper to >= 8.1.3
  * debian/rules: make clean target somewhat more ignorant on missing
    build-deps
  * Add libx264-dev, libavcodec-dev and libloudmouth1-dev to Build-Deps as
    OPAL has now support for H.263+ and H.264

  [ Jordi Mallach ]
  * Watch for .xz tarballs, and don't uupdate.
  * Merge and acknowledge Héctor Orón's 3.2.7-4.1 NMU in unstable, thanks!
  * Refresh fix-linux-gnueabihf-build.patch.
  * Update Vcs-Svn URL.
  * Drop debian/patches/configure.ac_languages_fix.patch, fixed upstream.
  * Drop support for dh-autoreconf, as it's not needed anymore.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Mon, 16 Oct 2012 14:47:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: ekiga
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kilian Krause <kilian@debian.org>
-Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Kilian Krause <kilian@debian.org>
-Build-Depends: debhelper (>= 8),
+Maintainer: Kilian Krause <kilian@debian.org>
+Uploaders: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 8.1.3),
                libsasl2-dev,
                gettext,
                libldap2-dev,
-               libpt-dev (>= 2.10.2~),
-               libopal-dev (>= 3.10.2~),
+               libpt-dev (>= 2.10.9~),
+               libopal-dev (>= 3.10.9~),
+               libloudmouth1-dev,
                libgconf2-dev,
                libxv-dev,
                autotools-dev,
@@ -21,25 +22,23 @@
                rarian-compat,
                intltool,
                libxml-parser-perl,
-               evolution-data-server-dev (>= 3.5.3),
+               evolution-data-server-dev,
                gnome-doc-utils,
+               gnome-icon-theme,
                libavahi-client-dev,
                libavahi-glib-dev,
-               libboost-signals-dev (>= 1.34),
-               libgtk2.0-dev (>= 2.20.0),
-               libglib2.0-dev (>= 2.24.0),
-               libexpat1-dev,
+               libgtk2.0-dev,
                libdbus-glib-1-dev,
+               libv4l-dev,
                gnome-common,
                libnotify-dev,
                libebook1.2-dev,
                libxext-dev,
-               automake,
-               autoconf,
-               liblaunchpad-integration-dev
+               libboost-dev,
+               libboost-signals-dev
 Standards-Version: 3.9.2.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/ekiga/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/ekiga/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/ekiga/
 Homepage: http://www.ekiga.org/
 DM-Upload-Allowed: yes
 
@@ -47,9 +46,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         evolution-data-server
+         gnome-icon-theme
 Recommends: gvfs, yelp
-Suggests: siproxd,
+Suggests: ekiga-plugin-evolution,
+          siproxd,
           gnugk,
           mediaproxy,
           ser,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure --\
		--disable-schemas-install \
		--disable-scrollkeeper \
		--enable-avahi \
		--enable-loudmouth

clean::
	dh_testdir
	dh_auto_clean
	-dh_autotools-dev_restoreconfig
	rm -f gnome-doc-utils.make
	dh_clean

override_dh_auto_install:
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga
	rm -f $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/*.la
	rm -f $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/plugins/*.la
	# move evolution plugin in its own package
	#target=$(CURDIR)/debian/ekiga-plugin-evolution/$$(cd debian/ekiga;ls -1d usr/lib/*/ekiga/*/plugins); \
	#mkdir -p $$target; mv $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/plugins/*evolution* $$target

override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_strip:
	dh_strip --dbg-package=ekiga-dbg
